package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import java.util.Locale;
import javax.print.attribute.PrintServiceAttribute;
import javax.print.attribute.TextSyntax;

public final class PrinterMessageFromOperator extends TextSyntax implements PrintServiceAttribute
{
    static final long serialVersionUID = -4486871203218629318L;
    
    public PrinterMessageFromOperator(String value, Locale locale) {
        super(value, locale);
    }
    
    @Override
    public boolean equals(Object object) {
        return super.equals(object) && object instanceof PrinterMessageFromOperator;
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return PrinterMessageFromOperator.class;
    }
    
    @Override
    public final String getName() {
        return "printer-message-from-operator";
    }
}
